Crear suscripción
curl --request POST \
--url https://api.notifique.dev/v1/forms/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"listId": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"extraData": {},
"preferences": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
listId: '<string>',
email: '<string>',
name: '<string>',
phone: '<string>',
extraData: {},
preferences: {}
})
};
fetch('https://api.notifique.dev/v1/forms/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/forms/subscriptions"
payload = {
"listId": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"extraData": {},
"preferences": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/forms/subscriptions"
payload := strings.NewReader("{\n \"listId\": \"<string>\",\n \"email\": \"<string>\",\n \"name\": \"<string>\",\n \"phone\": \"<string>\",\n \"extraData\": {},\n \"preferences\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"status": "SKIPPED",
"subscriptionId": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Forms
Crear suscripción
Inscribe a alguien en un formulario.
POST
/
v1
/
forms
/
subscriptions
Crear suscripción
curl --request POST \
--url https://api.notifique.dev/v1/forms/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"listId": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"extraData": {},
"preferences": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
listId: '<string>',
email: '<string>',
name: '<string>',
phone: '<string>',
extraData: {},
preferences: {}
})
};
fetch('https://api.notifique.dev/v1/forms/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/forms/subscriptions"
payload = {
"listId": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"extraData": {},
"preferences": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/forms/subscriptions"
payload := strings.NewReader("{\n \"listId\": \"<string>\",\n \"email\": \"<string>\",\n \"name\": \"<string>\",\n \"phone\": \"<string>\",\n \"extraData\": {},\n \"preferences\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"status": "SKIPPED",
"subscriptionId": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Autorizaciones
ntfAddonsBearerAuthntfAddonsApiKeyHeader
Autorización: Portador sk_live_xxxxx
Cuerpo
application/json
ID de formulario (20 a 36 caracteres alfanuméricos)
Required string length:
20 - 36Pattern:
^[a-zA-Z0-9]+$Campos adicionales asignados en hostingPageForm
Boletín: reemplaza las preferencias existentes
Show child attributes
Show child attributes
¿Esta página le ayudó?
⌘I

